header {
  background: linear-gradient(90deg, #505, #055);
  padding: 20px;
}
header h1 {
  font-weight: bold;
  font-size: 30px;
  color: #ccc;
  text-transform: uppercase;
  transform: scaleY(0.6);
  padding-top: 5px;
}
header .btn {
  text-transform: uppercase;
  font-weight: bold;
  display: none;
}

.content-container {
  height: 100vh;
}

#app {
  width: 100%;
  flex: 1;
}
#app .left,
#app .right {
  background-color: #333;
  box-sizing: border-box;
  flex: 1;
  padding: 10px;
}
#app .left h2,
#app .right h2 {
  color: #ccc;
  font-size: 18px;
  font-weight: bold;
  letter-spacing: 2px;
  margin-bottom: 0;
  text-transform: uppercase;
}
#app .main {
  flex: 2;
  position: relative;
  overflow: hidden;
  background: linear-gradient(45deg, #333, #666);
}
#app .users-header,
#app .channel-header {
  border-bottom: 1px solid #ccc;
  height: 64px;
}

.left #user-list {
  list-style: none;
  margin: 0;
  padding: 0;
}
.left #user-list li {
  background: linear-gradient(90deg, rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0));
  color: #fafafa;
  font-size: 18px;
  line-height: 2.5;
  padding-left: 10px;
  margin: 5px 0;
  transition: background-color 0.5s, color 0.5s;
}
.left #user-list li.me {
  background: #000;
  color: #ffffaa;
}

.right #channel-list {
  list-style: none;
  margin: 0;
  padding: 0;
}
.right #channel-list li {
  background: linear-gradient(90deg, rgba(0, 0, 0, 0), rgba(0, 0, 0, 0.5));
  color: #fafafa;
  font-size: 18px;
  line-height: 2.5;
  padding-left: 10px;
  margin: 5px 0;
  transition: background-color 0.5s, color 0.5s;
}
.right #channel-list li:hover {
  background-color: black;
  color: #fff;
}
.right #channel-list li.active {
  background: black;
}

@keyframes nickname-in {
  from {
    transform: scale(1.5);
    opacity: 0;
  }
  to {
    transform: scale(1);
    opacity: 1;
  }
}
@keyframes open-emoji {
  from {
    bottom: -200px;
  }
  to {
    bottom: 52px;
  }
}
@keyframes close-emoji {
  from {
    bottom: 52px;
  }
  to {
    bottom: -200px;
  }
}
.backdrop {
  align-items: center;
  background: linear-gradient(45deg, rgba(0, 0, 0, 0.7), rgba(0, 0, 0, 0.3));
  display: none;
  height: 100vh;
  justify-content: center;
  left: 0;
  position: fixed;
  top: 0;
  width: 100%;
  z-index: 10;
}

#modal {
  border: 1px solid #fff;
  box-sizing: border-box;
  border-radius: 10px;
  box-shadow: 20px 20px 50px rgba(0, 0, 0, 0.5);
  display: none;
  margin: 20px;
  max-width: 640px;
  width: 100%;
  text-align: center;
  opacity: 0;
  animation: nickname-in 0.2s ease-in forwards;
  background-color: rgba(0, 0, 0, 0.8);
  overflow: hidden;
  z-index: 11;
}
#modal .modal-header {
  background: linear-gradient(90deg, #505, #055);
  color: #fff;
}
#modal .modal-header .close {
  color: #fff;
}
#modal .modal-body {
  padding: 20px;
}
#modal input[type=text] {
  font-size: 30px;
  padding: 10px 20px;
  box-sizing: border-box;
  width: 100%;
}
#modal button {
  font-size: 20px;
}

#modal-error {
  margin-top: 20px;
}

#messages {
  flex: 1;
}

.messages-container {
  flex: 1;
  position: relative;
  display: flex;
  align-items: flex-end;
  z-index: 2;
}

.messages-background {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 1;
}

#messages-bg-text {
  opacity: 0.3;
  font-size: 40px;
  font-weight: bold;
  text-transform: uppercase;
}

.insert-emoji {
  background-color: #eee;
  position: absolute;
  bottom: -200px;
  z-index: 100;
}
.insert-emoji.open {
  bottom: 52px;
  animation: open-emoji 0.5s ease-in-out forwards;
}
.insert-emoji.close {
  bottom: -200px;
  animation: close-emoji 0.5s ease-in-out forwards;
}
.insert-emoji div {
  width: 48px;
  font-size: 24px;
  line-height: 48px;
  text-align: center;
  border-radius: 4px;
  margin: 2px;
  background: #fff;
  cursor: pointer;
}

#write-message {
  background: #333;
  z-index: 101;
}
#write-message button {
  margin: 4px 4px 4px 0;
  font-size: 20px;
  text-transform: uppercase;
  font-weight: bold;
}
#write-message button.emoji {
  width: 50px;
}
#write-message button.send {
  width: 150px;
}
#write-message button[disabled] {
  cursor: not-allowed;
}

#write-message-input {
  flex: 1;
  margin: 4px;
  font-size: 20px;
}
#write-message-input[disabled] {
  cursor: not-allowed;
}

#msgs {
  list-style: none;
  margin: 20px;
  padding: 0;
  height: calc(100vh - 182px);
  overflow-y: scroll;
  width: 100%;
}
#msgs li {
  color: #aaa;
  margin: 5px 0;
  position: relative;
}
#msgs li.me {
  color: #ffffaa;
}
#msgs li.me .del-msg {
  background-color: #ddd;
  border-radius: 3px;
  color: #a00;
  cursor: pointer;
  display: none;
  line-height: 1;
  margin-right: 5px;
  padding: 2px 5px;
  position: absolute;
  right: 0;
  opacity: 0;
  transition: opacity 1s;
}
#msgs li:hover .del-msg {
  display: inline-block;
  opacity: 1;
}

/*# sourceMappingURL=app.css.map */
